import { Meta, Canvas } from "@storybook/blocks";
import * as MyMachinesOverviewStories from "./my-machines-overview.stories";

<Meta of={MyMachinesOverviewStories} name="Docs" />

# My Machines Overview

My Machines Overview Page showing an overview of the customer's machines.

## Translations for Filters

```json
{
    "favorites": {
        "label": "Favorites Only (translated)"
    },
    "technologies": {
        "placeholder": "Technologies (translated)"
    },
    "item1": {
        "label": "Item 1 (translated)"
    },
    "item2": {
        "label": "Item 2 (translated)"
    },
    "item3": {
        "label": "Item 3 (translated)"
    },
    "item4": {
        "label": "Item 4 (translated)"
    },
    "item5": {
        "label": "Item 5 (translated)"
    },
    "item6": {
        "label": "Item 6 (translated)"
    },
    "item7": {
        "label": "Item 7 (translated)"
    }
}
```

## Translations for Content

```json
{
    "isFav": {
        "column": "Fav"
    },
    "name": {
        "column": "Machinenname"
    },
    "number": {
        "column": "Maschinennummer"
    },
    "constructionYear": {
        "column": "Baujahr"
    },
    "subEquipments": {
        "column": "Sub Equipment"
    },
    "location": {
        "column": "Standort"
    },
    "serviceAgreement": {
        "column": "Servicevereinbarung"
    },
    "softwareUpdates": {
        "column": "Software Updates",
        "values": softwareUpdateLabels
    },
    "disabledCreateCase": {
        "headerText": "Create Case Disabled",
        "bodyText": "This feature has been disabled since you do not have the required access rights. Please contact your company admin if you require access."
    },
    "shopLinks": {
        "spareparts": "Spare Parts Shop",
        "bending": "Bending Tools Shop",
        "punching": "Punching Tools Shop"
    },
    "error": {
        "headline": "Error Headline",
        "text": "Error Lorem ipsum text"
    }
}
```

<Canvas of={MyMachinesOverviewStories.Default}></Canvas>
